<div class="relative flex items-center" data-controller="top-bar">
  <div class="flex items-center gap-x-6">
    <%= render 'shared/search/search_bar', taxons: taxons, taxon: taxon, :locals => { :additional_classes => 'hidden lg:flex' } %>
    <div class="hidden lg:flex">
      <%= render "shared/navigation/theme_switcher" %>
    </div>
    <div class='relative w-6 h-6'>
      <svg class='w-6 h-6 fill-black dark:fill-white'>
        <use xlink:href="<%= image_path('remixicon.symbol.svg') %>#ri-shopping-cart-2-line"></use>
      </svg>
      <div id="link-to-cart" class="absolute top-0 left-0 w-full h-full" data-top-bar-target="cartLink">
        <noscript>
          <%= link_to t('spree.cart'), cart_path %>
        </noscript>
      </div>
    </div>

    <div class="relative w-6 h-6">
      <%= link_to spree_current_user ? account_path : login_path, title: spree_current_user ? 'Account' : 'Login' do %>
        <svg class='w-6 h-6 fill-black dark:fill-white'>
          <use xlink:href="<%= image_path('remixicon.symbol.svg') %>#ri-user-line"></use>
        </svg>
      <% end %>
    </div>
  </div>
</div>
